{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'css/fmm_modal.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-physicalextremes" >
  <!-- begin panel-heading -->
  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de Extremos Físicos</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body">
    <!-- begin table-responsive -->
    <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear nuevo extremo</a></div>

    <div class="table-responsive">
      <table class="table" id="table_physicalextreme">
        <thead>
          <tr>
            <th nowrap="">Dirección</th>
            <th nowrap="">Comuna</th>
            <th nowrap="">Ubicación en la dirección</th>
            <th nowrap="">Acciones</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>

<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form onsubmit="return newExtreme()" class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Extremo Físico</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="address">Dirección</label>
          <div class="col-md-8 col-sm-8">
            <input required class="form-control" type="text" id="address" placeholder="Dirección del extremo" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="commune">Comuna</label>
          <div class="col-md-8 col-sm-8">
            <input required class="form-control" type="text" id="commune" placeholder="Comuna en la que se encuentra el extremo" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="location">Ubicación</label>
          <div class="col-md-8 col-sm-8">
            <textarea required class="form-control" id="location" rows="4" data-parsley-required="true" placeholder="Ubicación del extremo en la dirección" required="true"></textarea>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <!-- <button type="button" class="btn btn-primary" onclick="newExtreme()">Crear Extremo</button> -->
        <button type="submit" class="btn btn-primary" >Crear Extremo</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-create-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-update">
  <div class="modal-dialog">
    <div class="modal-content">
      <form id="update-form" class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Editar Extremo Físico</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_address">Dirección</label>
          <div class="col-md-8 col-sm-8">
            <input required class="form-control" type="text" id="det_address" placeholder="Dirección del extremo" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_commune">Comuna</label>
          <div class="col-md-8 col-sm-8">
            <input required class="form-control" type="text" id="det_commune" placeholder="Comuna en la que se encuentra el extremo" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_location">Ubicación</label>
          <div class="col-md-8 col-sm-8">
            <textarea required class="form-control" id="det_location" rows="4" data-parsley-required="true" placeholder="Ubicación del extremo en la dirección" required="true"></textarea>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <!-- <button id="btn_update" type="button" class="btn btn-primary">Guardar cambios</button> -->
        <button type="submit" class="btn btn-primary">Guardar cambios</button>
      </div>
      </form>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'scripts/physicalextreme_list.js' %}"></script>
{% endblock extra_js %}